%global npm_name hoek

Summary:       General purpose node utilities
Name:          nodejs-%{npm_name}
Version:       2.14.0
Release:       1%{?dist}
License:       BSD
URL:           https://github.com/hapijs/hoek
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Utility methods for the hapi ecosystem. This module is not 
intended to solve every problem for everyone, but rather 
as a central place to store hapi-specific methods. If 
you're looking for a general purpose utility module, 
check out lodash or underscore.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr images index.js lib package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc CONTRIBUTING.md LICENSE README.md Makefile test
%{nodejs_sitelib}/%{npm_name}

%changelog
* Fri Sep 11 2015 Troy Dawson <tdawson@redhat.com> - 2.14.0-1
- Initial package
